//Made by Dylan Carew
//September 16th 2015
/*
  ______ _____ _____ _      ______ _____   _______     __
 |  ____|  __ \_   _| |    |  ____|  __ \ / ____\ \   / /
 | |__  | |__) || | | |    | |__  | |__) | (___  \ \_/ / 
 |  __| |  ___/ | | | |    |  __| |  ___/ \___ \  \   /  
 | |____| |    _| |_| |____| |____| |     ____) |  | |   
 |______|_|   |_____|______|______|_|    |_____/   |_|  
 __          __     _____  _   _ _____ _   _  _____   _   _   _  
 \ \        / /\   |  __ \| \ | |_   _| \ | |/ ____| | | | | | | 
  \ \  /\  / /  \  | |__) |  \| | | | |  \| | |  __  | | | | | | 
   \ \/  \/ / /\ \ |  _  /| . ` | | | | . ` | | |_ | | | | | | | 
    \  /\  / ____ \| | \ \| |\  |_| |_| |\  | |__| | |_| |_| |_| 
     \/  \/_/    \_\_|  \_\_| \_|_____|_| \_|\_____| (_) (_) (_)
  _____            __  __   _   _  ____ _______   _  _______ _____  _____ _____ _   _  _____ 
 |_   _|     /\   |  \/  | | \ | |/ __ \__   __| | |/ /_   _|  __ \|  __ \_   _| \ | |/ ____|
   | |      /  \  | \  / | |  \| | |  | | | |    | ' /  | | | |  | | |  | || | |  \| | |  __ 
   | |     / /\ \ | |\/| | | . ` | |  | | | |    |  <   | | | |  | | |  | || | | . ` | | |_ |
  _| |_   / ____ \| |  | | | |\  | |__| | | |    | . \ _| |_| |__| | |__| || |_| |\  | |__| |
 |_____| /_/    \_\_|  |_| |_| \_|\____/  |_|    |_|\_\_____|_____/|_____/_____|_| \_|\_____|   
*/
int circleCounter = 0;// set the circleCounter as a global variable
void setup()
{
   size(1300,1000);
   smooth();
   //rectMode(CORNERS);
   frameRate(60);
   noCursor();
}

void draw()
{
    background(0);
    
    float randomR = random(1,256); // set 3 floats with a random value between 1 and 255
    float randomG = random(1,256);
    float randomB = random(1,256);
    //primitive text
    fill(153);
    
    rect(100,350,100,50); //C
    rect(50,400,50,150);
    rect(100,550,100,50);
    
    rect(250,350,50,200); //L
    rect(250,550,150,50);
    
    rect(450,350,50,250); //I
    
    rect(600,350,100,50); //C
    rect(550,400,50,150);
    rect(600,550,100,50);
    
    rect(750,350,50,250); //K
    rect(900,350,50,50);
    rect(850,400,50,50);
    rect(800,450,50,50);
    rect(850,500,50,50);
    rect(900,550,50,50);
    
    rect(1000,350,50,150); //!
    rect(1000,550,50,50);
    
    rect(1100,350,50,150); //!
    rect(1100,550,50,50);
    
    rect(1200,350,50,150); //!
    rect(1200,550,50,50);
    
    for (int p = 0; p < circleCounter; p++) //since p is set as 0, whenever you click the mouse, the counter will increase at the same time as p. Never being more than the circleCounter
    {
      float rx = random(1,1301); //make sure you also set a random x and y inside this for loop or else the circles will be drawn on top of each other.
      float ry = random(1,1001);

      fill(randomR,randomG,randomB);
      ellipse(rx,ry,50,50);
    }
      //println(circleCounter);  
}

void mouseClicked()
{
  circleCounter++; //increments the circle counter used inside the for loop
}

//My record is 1500. I had to stop before I crashed the computer.